Rewards History - Fabric
Rewards History
cURL
curl --request GET \
--url https://vanilla-dev02-loyalty.fabric.zone/api/v1/redeem \
--header 'Authorization: Bearer <token>'
Python
import requests
url = "https://vanilla-dev02-loyalty.fabric.zone/api/v1/redeem"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://vanilla-dev02-loyalty.fabric.zone/api/v1/redeem', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Response Codes
- 200
{
"status": 200,
"message": "",
"errors": {},
"data": [
{
"profileId": "67460e74-02e3-11e8-b443-00163e990bdb",
"redemptionCode": "04c229d7-03cb-421f-9d77-1c0ff1fc2641",
"pointsToRedeem": 100,
"pointCost": 0.5,
"status": "Redeemed",
"amountToRedeem": 50,
"rewardTypeExternalReference": "TYPE_A REWARD",
"redeemLocationExternalReference": "STORE_A",
"redeemedTimestamp": "2020-03-20T01:30:08.180856",
"merchantId": 1234,
"merchantName": "adam horowitz",
"issueAuditUser": "john",
"redeemAuditUser": "john",
"cancelAuditUser": "",
"eligibleRevenue": 0,
"expirationDate": "2020-03-31T23:59:59.000000",
"activityDate": "2020-03-20T01:30:08.180856"
}
]
}
- 400
{
"message": "Error message string",
"errors": {
"ExceptionString": [
"Invalid Field"
]
},
"data": null,
"status": 400
}
- 401
{
"detail": "Authentication Failed"
}
Authorizations
Authorization
- Type:
string - Location:
header - Required: Yes
- Description: Bearer authentication header of the form
Bearer <token>, where<token>is your auth token.
Query Parameters
- profileId:
string(required) - Member's unique profileId, generated in the response of theEnroll Memberendpoint - POST /v1/members. - limit:
integer- Ending number of the record (from the offset number) in the response. When no value is provided, the default value is 20. - offset:
integer- Starting number of the record (within the total number of records) in the response. When no value is provided, the default value is 0.
Response
- 200 : application/json
- Metadata of issued rewards
Response Attributes
- status:
integer<int32>- Status of the call (Example:200). - message:
string- Message corresponding to the status (Example:""). - errors:
object- Error details, if applicable (Example:{}). - data:
object[]- Rewards data, if applicable.